from atopy.typer import typer
from loguru import logger

from tompy.io import csv_read
from tompy.series import series_price_dterms_metrics

app = typer()


@app.command()
def stat(readfile: str, col: str, mode: int = 0) -> None:
    """
    Calculate daily price timeseries metrics
    """
    df = csv_read(readfile)
    assert df is not None
    df = df.dropna()
    df2 = series_price_dterms_metrics(df[col], mode=mode)
    logger.info(f"\n{df2}")


if __name__ == "__main__":
    app()
